#!/usr/bin/env python
import numpy as np

r=6371229. # radius of the earth in LMDZ(m)  
def latdist(lati,latj):
  arc=np.cos(np.float64(lati)/180.*np.pi)*np.cos(np.float64(latj)/180.*np.pi)+np.sin(np.float64(lati)/180.*np.pi)*np.sin(np.float64(latj)/180.*np.pi)
  arc=np.minimum(1.,arc)
  arc=np.maximum(-1.,arc)
  return np.where(lati>latj,-r*np.arccos(arc),r*np.arccos(arc))

def londist(lat,loni,lonj):
  arc=np.cos(np.float64(lat)/180.*np.pi)**2*np.cos((np.float64(loni)-np.float64(lonj))/180.*np.pi)+np.sin(np.float64(lat)/180.*np.pi)**2
  arc=np.minimum(1.,arc)
  arc=np.maximum(-1.,arc)
  return np.where(loni>lonj,-r*np.arccos(arc),r*np.arccos(arc))
